dojo.provide("com.ibm.pb.dnd.layout.ShelfSource");

dojo.require("com.ibm.pb.dnd.layout.LayoutSource");

dojo.declare("com.ibm.pb.dnd.layout.ShelfSource", [com.ibm.pb.dnd.layout.LayoutSource], {
	_markTargetAnchor: function(before){	
		return false;
	},
	_unmarkTargetAnchor: function(){
		return false;
	}
});

com.ibm.pb.dnd.layout.ShelfSource.creator = function(item, hint){
	var node = dojo.create("div");
	if(hint=="avatar"){
		dojo.attr(node, {innerHTML: String(item), className: "ibmDndAvatar lotusPaletteWidget dojoDndItem dojoDndItemAnchor", role: "gridcell"});
		dojo.style(node, { width: dojo.byId(dojo.dnd.manager().source.current.id).offsetWidth+"px", opacity: 0.5 });	
	}
	return {node: node, data: item, type: [ibmCfg.controllers.dnd.SHELF_TYPE]};
};
