/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.SubmittableFormProvider");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.SubmittableForm");

/**
 * An interface that allows to retieve submittable form
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.SubmittableFormProvider", null, {
    /**
     * Returns a SubmittableForm object associated with the given id.
     * @param {String} id the id of the html form this object is associated with
     * @return {com.ibm.mashups.enabler.SubmittableForm} SubmittableForm object, maybe <code>null</code>
     */
    getSubmittableForm: function(id){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.SubmittableFormProviderImpl");
