/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.persistence.Constants");

/**
 * Constants for the persistence provider.
 *
 * @ibm-spi
 * @ibm-module CoreModel
 * @since 3.0.0.1
 */
dojo.declare("com.ibm.mashups.enabler.persistence.Constants", null, {

    /**
     * Navigation model persistence provider
     * @type {String}
     */
    NAVIGATION_MODEL_PERSISTENCE_PROVIDER: "NavigationModelPersistenceProvider",
    
    /**
     * Space model persistence provider
     * @type {String}
     */
    SPACE_MODEL_PERSISTENCE_PROVIDER: "SpaceModelPersistenceProvider"
});

com.ibm.mashups.enabler.persistence.Constants = new com.ibm.mashups.enabler.persistence.Constants();
