dojo.provide("com.ibm.pb.decorations.Control");

dojo.require("com.ibm.pb.logging.Loggable");

dojo.declare("com.ibm.pb.decorations.Control", com.ibm.pb.logging.Loggable, {
	
	evtSvc: com.ibm.mashups.iwidget.services.ServiceManager.getService("eventService"),
	
	constructor: function(id, node) {
		this.id = id;
		this.node = node;
		this.connections = [];
	},
	connect: function(scope, func, cbk) {
		this.connections.push(dojo.connect.apply(dojo, [scope, func, this, cbk]));
		return this.connections.slice(-1);
	},
	destroy: function() {
		var mname = "destroy", lgr = this.LOGGER;
		lgr.entering(mname, arguments);
		while(this.connections.length > 0) {
			dojo.disconnect(this.connections.shift());
		}
		lgr.exiting(mname, arguments);
	}
});