/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.template.TemplateNode");

dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.ModifiableLocalized");

/**
 * Interface representing a template node.
 * @ibm-api
 * @ibm-module TemplateModel
 */
dojo.declare("com.ibm.mashups.enabler.template.TemplateNode", [com.ibm.mashups.enabler.Identifiable, com.ibm.mashups.enabler.ModifiableLocalized], {
    /**
     * Returns a URL to export the template in zip file format
     * @return {String} link to export the template
     */
    getExportURL: function(){
    }
});
